package com.exh.math;

import com.exh.math.primitive.Point3;
import com.exh.math.primitive.Quad;

// Distance between a point and a quad.
public final class PtToQuad {

	final private Point3		mPt = new Point3();
	
	public double on(final Point3 pt, final Quad q) {
		mPt.set(0, 0, 0);
		for (int k=0; k<q.mPt.length; k++) {
			final Point3		p = q.mPt[k];
			mPt.x += p.x;		mPt.y += p.y;		mPt.z += p.z;
		}
		mPt.div(4);
		return mPt.dist3(pt);
	}

}
